ALL: VideoOverlayMC.vdf

CLEAN:
	-@erase main.obj
	-@erase vc60.idb
	-@erase vc60.pch
	-@erase VideoOverlayMC.vdf
	-@erase resource.res

CPP=cl.exe
##### /c - (removing /c makes uuid.lib required but executable not different)
# /FD -
# /YX - automatic use of precompiled headers (*.pch)
# /D - define preprocessor definition
# /I - include file path
# /O2 - optimization (/O2 maximize speed, /O1 minimize size)
# /GX - enable exception handling (probably could take this out - C++)
# /W3 - warning level 3 (/w /W0 for no warnings, no /W for level 1, /W2,/W3,/W4)
# /ML - single threaded (run time library)
# /nologo - suppress startup banner and information messages

WFLAG=/w /W0
#WFLAG=/W3
CPP_PROJ=/nologo /MT /W3 /GX /Zi /O2 /I "c:\progra~1\micros~2\vc98\include" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "WIN32_LEAN_AND_MEAN" /D "VC_EXTRALEAN" /D "NOMINMAX" /YX /FD /GF /c 

.cpp.obj::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

resource.res: resource.rc
   rc /ic:\progra~1\micros~2\vc98\include $(CFG2) -r resource.rc

LINK32=link.exe
# /pdb - use program database (if /pdb:none then /incremental is not there)
# /machine -
# /incremental - Link incrementally
# /subsystem - (console for stdout, etc.)
# /nologo - suppress startup banner
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib vfw32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:no /machine:I386 /out:VideoOverlayMC.vdf /implib:"VideoOverlayMC.lib" 
LINK32_OBJS=main.obj

VideoOverlayMC.vdf: $(DEF_FILE) $(LINK32_OBJS) resource.res
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS) resource.res
<<

!IF EXISTS("VideoOverlayMC.dep")
!INCLUDE "VideoOverlayMC.dep"
!ENDIF 

SOURCE=main.cpp

main.obj: $(SOURCE)
